PKI --PRINT(1)

NAME
pki --print - Print a credential (key, certificate etc.) in human readable form

SYNOPSIS
pki --print [--in file|--keyid hex] [--type type] [--debug level]
pki --print --options file
pki --print -h | --help

DESCRIPTION
This sub-command of pki(1) prints credentials (keys, certificates etc.) in human readable form.

OPTIONS

-h, --help
    Print usage information with a summary of the available options.

-v, --debug level
    Set debug level, default: 1.

-+, --options file
    Read command line options from file.

-i, --in file
    Input file. If not given the input is read from STDIN.

-x, --keyid hex
    Smartcard or TPM private key or certificate object handle in hex format with an optional 0x prefix.

-t, --type type
    Type of input. One of x509 (X.509 certificate), crl (Certificate Revocation List, CRL), ac (Attribute Certificate), pub (public key), priv (private key), rsa (RSA private key), ecdsa (ECDSA private key), ed25519 (Ed25519 private key), ed448 (Ed448 private key), bliss (BLISS private key), defaults to x509.

SEE ALSO
pki(1)